Subject: Re: bug#53451: 28.0.91; Different behavior with native-compilation

From: Frédéric Giquel <[email-masked]>
Date: Mon, 24 Jan 2022 20:04:55 +0100

Le lundi 24 janvier 2022 à 09:31 +0000, Andrea Corallo a écrit :
> Frédéric Giquel via "Bug reports for GNU Emacs, the Swiss army knife
> of
> text editors" <[email-masked]> writes:
> 
> > Hi all,
> > 
> > I noticed a weird indentation using fish-mode (from MELPA). I tried
> > to
> > understand the root cause and found that the problem only appears
> > when
> > using native-compilation.
> > So I open a bug here (and not in the fish-mode repository).
> 
> Hi Frédéric,
> 
> the first time fish-mode is used a trace of its native compilation
> should appear in the *Async-native-compile-log* buffer.  Could you
> have
> a look and report what is produced there?

The result of native compilation of fish-mode.el is :
Compiling /home/fred/.emacs.d/elpa/fish-mode-20210215.1114/fish-
mode.el...

In fish/count-tokens-on-current-line:
fish-mode.el:393:8: Warning: docstring wider than 80 characters

In fish/auto-indent-post-indent-check:
fish-mode.el:663:8: Warning: docstring wider than 80 characters
Compilation finished.

If I remove the corresponding docstrings in fish-mode.el, the warnings
disappears in *Async-native-compile-log* but the indentation remains
incorrect.

PS: in my first message, I compared 2 versions of Emacs 28.0.91
(compiled with or without native compilation enabled). We can also
hightlight the problem only using Emacs with native compilation enabled
: if we add "(setq load-no-native t)" in init.el, the indentation is
correct.

Best regards,
Frédéric Giquel